# --- Everforest Color Palette ---
$bg0     = rgba(2d353bee)
$bg1     = rgba(343f44ee)
$bg2     = rgba(3d484dee)
$bg3     = rgba(475258ee)
$bg4     = rgba(4f585eee)
$bg5     = rgba(56635fee)
$fg      = rgba(d3c6aaee)
$red     = rgba(e67e80ee)
$orange  = rgba(e69875ee)
$yellow  = rgba(dbbc7fee)
$green   = rgba(a7c080ee)
$aqua    = rgba(83c092ee)
$blue    = rgba(7fbbb3ee)
$purple  = rgba(d699b6ee)
$grey0   = rgba(7a8478ee)
$grey1   = rgba(859289ee)
$grey2   = rgba(9da9a0ee)

general {
    gaps_in = 6
    gaps_out = 12
    border_size = 3
    col.active_border = $fg
    col.inactive_border = $bg5
    layout = dwindle
    resize_on_border = true
}

decoration {
    rounding = 10
    
    blur {
        enabled = true
        size = 5
        passes = 3
        new_optimizations = true
        ignore_opacity = true
    }

    shadow {
        enabled = true
        range = 20
        render_power = 3
        color = rgba(00000044)
    }
}

animations {
    enabled = true
    bezier = overshot, 0.05, 0.9, 0.1, 1.05
    bezier = smoothOut, 0.36, 0, 0.66, -0.56
    bezier = smoothIn, 0.25, 1, 0.5, 1

    animation = windows, 1, 3, overshot, slide
    animation = windowsOut, 1, 3, smoothOut, slide
    animation = windowsMove, 1, 3, default
    animation = border, 1, 3, default
    animation = fade, 1, 3, smoothIn
    animation = workspaces, 1, 3, smoothIn, slide
}
